- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Font::GlyphInfo Struct Reference

Information about the position and size of a glyph in a texture. More...

`#include <OgreFont.h>`

List of all members.

## Public Member Functions
| GlyphInfo (CodePoint id, const UVRect &rect, Real aspect)
## Public Attributes
CodePoint | codePoint
UVRect | uvRect
Real | aspectRatio

## Detailed Description

Information about the position and size of a glyph in a texture.

Definition at line 122 of file OgreFont.h.

## Constructor & Destructor Documentation

Ogre::Font::GlyphInfo::GlyphInfo | ( | CodePoint | id,
|  | const UVRect & | rect,
|  | Real | aspect |
| ) |  |  |

Definition at line 128 of file OgreFont.h.

## Member Data Documentation

CodePoint Ogre::Font::GlyphInfo::codePoint

Definition at line 124 of file OgreFont.h.

UVRect Ogre::Font::GlyphInfo::uvRect

Definition at line 125 of file OgreFont.h.

Real Ogre::Font::GlyphInfo::aspectRatio

Definition at line 126 of file OgreFont.h.

The documentation for this struct was generated from the following file:

- OgreFont.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:42 2008